sysmon: XSysMon Struct Reference

| sysmon Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XSysMon Struct Reference
Sysmon_v7_5

The driver's instance data. More...

## Data Fields
XSysMon_Config | Config
| XSysMon_Config of current device. More...
u32 | IsReady
| Device is initialized and ready. More...
u32 | Mask
| Store the previously written value in CONVST register. More...

## Detailed Description

The driver's instance data.

The user is required to allocate a variable of this type for every System Monitor/ADC device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XSysMon_Config XSysMon::Config

XSysMon_Config of current device.

Referenced by XSysMon_CfgInitialize(), XSysMon_DisableTempUpdate(), XSysMon_DisableUserOverTemp(), XSysMon_EnableTempUpdate(), XSysMon_EnableUserOverTemp(), XSysMon_GetAdcClkDivisor(), XSysMon_GetAlarmEnables(), XSysMon_GetAlarmOutputStatus(), XSysMon_GetAlarmThreshold(), XSysMon_GetAvg(), XSysMon_GetCalibCoefficient(), XSysMon_GetCalibEnables(), XSysMon_GetMinMaxMeasurement(), XSysMon_GetOverTemp(), XSysMon_GetSeqAcqTime(), XSysMon_GetSeqAvgEnables(), XSysMon_GetSeqChEnables(), XSysMon_GetSeqInputMode(), XSysMon_GetSequencerMode(), XSysMon_GetStatus(), XSysMon_IntrClear(), XSysMon_IntrDisable(), XSysMon_IntrEnable(), XSysMon_IntrGetEnabled(), XSysMon_IntrGetStatus(), XSysMon_IntrGlobalDisable(), XSysMon_IntrGlobalEnable(), XSysMon_Reset(), XSysMon_ResetAdc(), XSysMon_SetAdcClkDivisor(), XSysMon_SetAlarmEnables(), XSysMon_SetAlarmThreshold(), XSysMon_SetAvg(), XSysMon_SetCalibEnables(), XSysMon_SetExtenalMux(), XSysMon_SetOverTemp(), XSysMon_SetSeqAcqTime(), XSysMon_SetSeqAvgEnables(), XSysMon_SetSeqChEnables(), XSysMon_SetSeqInputMode(), XSysMon_SetSequencerEvent(), XSysMon_SetSequencerMode(), XSysMon_SetSingleChParams(), XSysMon_SetTempWaitCycles(), and XSysMon_StartAdcConversion().

u32 XSysMon::IsReady

Device is initialized and ready.

Referenced by XSysMon_CfgInitialize(), XSysMon_DisableTempUpdate(), XSysMon_DisableUserOverTemp(), XSysMon_EnableTempUpdate(), XSysMon_EnableUserOverTemp(), XSysMon_GetAdcClkDivisor(), XSysMon_GetAdcData(), XSysMon_GetAlarmEnables(), XSysMon_GetAlarmOutputStatus(), XSysMon_GetAlarmThreshold(), XSysMon_GetAvg(), XSysMon_GetCalibCoefficient(), XSysMon_GetCalibEnables(), XSysMon_GetMinMaxMeasurement(), XSysMon_GetOverTemp(), XSysMon_GetSeqAcqTime(), XSysMon_GetSeqAvgEnables(), XSysMon_GetSeqChEnables(), XSysMon_GetSeqInputMode(), XSysMon_GetSequencerMode(), XSysMon_GetStatus(), XSysMon_IntrClear(), XSysMon_IntrDisable(), XSysMon_IntrEnable(), XSysMon_IntrGetEnabled(), XSysMon_IntrGetStatus(), XSysMon_IntrGlobalDisable(), XSysMon_IntrGlobalEnable(), XSysMon_Reset(), XSysMon_ResetAdc(), XSysMon_SelfTest(), XSysMon_SetAdcClkDivisor(), XSysMon_SetAlarmEnables(), XSysMon_SetAlarmThreshold(), XSysMon_SetAvg(), XSysMon_SetCalibEnables(), XSysMon_SetExtenalMux(), XSysMon_SetOverTemp(), XSysMon_SetSeqAcqTime(), XSysMon_SetSeqAvgEnables(), XSysMon_SetSeqChEnables(), XSysMon_SetSeqInputMode(), XSysMon_SetSequencerEvent(), XSysMon_SetSequencerMode(), XSysMon_SetSingleChParams(), XSysMon_SetTempWaitCycles(), and XSysMon_StartAdcConversion().

u32 XSysMon::Mask

Store the previously written value in CONVST register.

Referenced by XSysMon_CfgInitialize(), XSysMon_DisableTempUpdate(), XSysMon_EnableTempUpdate(), XSysMon_SetTempWaitCycles(), and XSysMon_StartAdcConversion().